from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getTable(meta):
    return Table('excisemarkwhite', meta,
        Column('excisemarkid', String(100), nullable=False, primary_key=True),
        Column('barcode', String(100), nullable=False, index=True),
        Column('updatetime', TIMESTAMP, nullable=False, index=True, server_default=text("CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP"))
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTable(meta))
