from sqlalchemy import *

indexName = 'aspectvaluesetuniqueidx'

def getTables(meta):
    aspectvalueset1 = Table('aspectvalueset1', meta, autoload=True)
    aspectvalueset2 = Table('aspectvalueset2', meta, autoload=True)
    return [aspectvalueset1, aspectvalueset2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for table in getTables(meta):
        if indexName not in [ind.name for ind in table.indexes]:
             Index(indexName, table.c.tmc_code, table.c.productsectioncode, unique=True).create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for table in getTables(meta):
        if indexName in [ind.name for ind in table.indexes]:
             Index(indexName, table.c.tmc_code, table.c.productsectioncode, unique=True).drop()

