from sqlalchemy import *
from migrate import *
from documents.versions import dump

def getTables(meta):
    return Table('document', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    tbl = getTables(meta)
    if not 'customeraddress' in tbl.columns:
        Column('customeraddress', String(64), nullable=True).create(tbl)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tbl = getTables(meta)
    if 'customeraddress' in tbl.columns:
        Column('customeraddress', String(64), nullable=True).drop(tbl)
