from sqlalchemy import *
from migrate import *

tableName = 'client'
organizationcodeColumnName = 'organizationcode'

def getTable(meta):
    return Table(tableName, meta, autoload = True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    table = getTable(meta)

    if organizationcodeColumnName not in table.columns:
        Column(organizationcodeColumnName, String(255), nullable = True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    table = getTable(meta)

    if organizationcodeColumnName in table.columns:
        Column(organizationcodeColumnName, String(255), nullable = True).drop(table)