from sqlalchemy import *
from migrate import *
from documents.versions import dump

columnName = 'endcardnum'
columnType = String(100)


def getTables(meta):
    return [Table('moneyitem', meta, autoload=True), Table('failedmoneyitem', meta, autoload=True)]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    
    for table in getTables(meta):
        if not columnName in table.columns:
            Column(columnName, columnType, nullable=True, index=True).create(table, 'moneyitemendcardnum')
   
   
def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    
    for table in getTables(meta):
        if columnName in table.columns:
            Column(columnName, columnType, nullable=True, index=True).drop(table)
