from sqlalchemy import *
from migrate import *

def getFailedinput(meta):
    failedinput=Table('failedinput', meta,
        Column('failedinputid', Integer, nullable=False, primary_key=True, autoincrement=True),
        Column('workshiftid', Integer, ForeignKey(Table('workshift', meta, autoload=True).c.workshiftid, name='failedinputworkshiftidfk', ondelete='CASCADE'), nullable=False),
        Column('scode', String(255), nullable=False),
        Column('data', String(255), nullable=False),
        Column('rawdata', String(255), nullable=False),
        Column('inputsource', Integer, nullable=False),
        Column('dtime', DateTime, nullable=False),
        Column('success', Boolean, nullable=False),
        Column('message', String(255), nullable=True),
        mysql_engine='InnoDB',
    )
    return failedinput

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    failedinput = getFailedinput(meta)
    if not failedinput.exists(meta.bind):
        failedinput.create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    failedinput = getFailedinput(meta)
    if failedinput.exists(meta.bind):
        failedinput.drop()