from sqlalchemy import *
from migrate import *
from documents.versions import dump

columnName = 'datatype'
tableName = 'failedinput'

def getTable(meta):
    return Table(tableName, meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    dump.store(migrate_engine)
    table = getTable(meta)
    if not columnName in table.columns:
        Column(columnName, INTEGER, nullable=True).create(table)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getTable(meta)
    if columnName in table.columns:
        Column(columnName, INTEGER, nullable=True).drop(table)